Package Base Details: kodi-devel

Git Clone URL: https://aur.archlinux.org/kodi-devel.git (read-only)
Keywords: kodi kodi-devel
Submitter: alucryd
Maintainer: MarcinWieczorek (graysky)
Last Packager: graysky
Votes: 32
Popularity: 0.333313
First Submitted: 2014-08-11 23:33
Last Updated: 2019-05-17 18:59

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

graysky commented on 2019-02-05 11:33

@abayoumy - You want that enabled. Build in a clean-chroot.

abayoumy commented on 2019-02-05 05:15

Thank you i just change -DENABLE_MARIADBCLIENT=ON to off and it's build fine

graysky commented on 2019-02-04 20:53

@Kr1ss - Fixed. @abayoumy - I cannot reproduce/builds fine. Try building a clean-chroot.

abayoumy commented on 2019-02-04 18:27

hi I got ==> ERROR: Integrity checks (sha256) differ in size from the source array. I try to build with "makepkg -si --skipinteg " but go another error :

CMake Error at /usr/share/cmake-3.13/Modules/FindPackageHandleStandardArgs.cmake:137 (message): Could NOT find MariaDBClient (missing: MARIADBCLIENT_INCLUDE_DIR) (found version "10.3.12") Call Stack (most recent call first): /usr/share/cmake-3.13/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE) cmake/modules/FindMariaDBClient.cmake:52 (find_package_handle_standard_args) cmake/scripts/common/Macros.cmake:366 (find_package) cmake/scripts/common/Macros.cmake:434 (find_package_with_ver) CMakeLists.txt:187 (core_optional_dep)


extra/mariadb-libs 10.3.12-2 (4.6 MiB 20.1 MiB) (Installed) MariaDB libraries 3 extra/mariadb-clients 10.3.12-2 (1.6 MiB 40.1 MiB) (Installed) MariaDB client tools 2 extra/mariadb 10.3.12-2 (36.1 MiB 212.8 MiB) (Installed) Fast SQL database server, derived from MySQL

Kr1ss commented on 2019-02-04 12:49

Hi @graysky, thanks for the update ! Looks like the checksums aren't quite up to date :

==> ERROR: Integrity checks (sha256) differ in size from the source array.

After updating the hashes, the package builds fine.

graysky commented on 2019-01-26 18:23

And libnfs is not optional.

@M-Reimer - Right, I said that.

M-Reimer commented on 2019-01-26 17:48

As long as Arch itself defines curl as "non-default" (see at the massive "required by" list here: https://www.archlinux.org/packages/core/x86_64/curl/), I think you should add it as dependency.

And libnfs is not optional. I tried to install the new Kodi on my HTPC (which has very minimal setup and so doesn't have libnfs installed) and Kodi doesn't start up. Throws error that "libnfs.so.12" cannot be opened.

graysky commented on 2019-01-26 15:36

@M-Reimer - You're right about libnfs ... that got missed when we transferred kodi-pre-release to this package. I think you're also right about curl/need to check. I'm hesitant to add it because pacman requires it and what Arch box would run without pacman installed.

dodd73 commented on 2019-01-26 15:33

Great work! Keeping the Leia RC versions available via aur

M-Reimer commented on 2019-01-26 12:51

You miss at least one dependency (curl in kodi-x11). I don't know about libnfs as this is listed as "optional" by namcap.

kodi-devel E: Dependency curl detected and not included (libraries ['usr/lib/libcurl.so.4'] needed in files ['usr/lib/kodi/kodi-x11'])

kodi-devel W: Dependency libnfs detected but optional (libraries ['usr/lib/libnfs.so.12'] needed in files ['usr/lib/kodi/kodi-x11'])